pkgname=papirus-luminous-icon-theme
pkgver=20220624
pkgrel=1
pkgdesc="Orangepi OS variation of Papirus icon theme"
arch=('any')
url="https://gitlab.com/orange-os/artwork/$pkgname"
license=("LGPL3")
depends=('gtk-update-icon-cache' 'papirus-icon-theme')
makedepends=('cmake')
conflicts=( 
	"$pkgname-git"
	"papirus-gtk-icon-theme"
    "papirus-gtk-icon-theme-git"
    "papirus-icon-theme-gtk"
    "papirus-icon-theme-gtk-git"
    "papirus-icon-theme-kde"
    "papirus-icon-theme-kde-git")
options=('!strip')
source=("$pkgname.tar.gz::$url/-/archive/main/$pkgname-main.tar.gz")
md5sums=('025ef0950e368d6e4a2422ab8e6197d0')

prepare() {
	mv $pkgname-main $pkgname-$pkgver
}

#pkgver() {
#	date +%Y%m%d
#}

build() {
    mkdir -p $srcdir/build
    cd ${srcdir}/build
    cmake ../$pkgname-$pkgver
    make
}

package() {
    make -C build DESTDIR="$pkgdir" install
}
